<?php
/*
 * Plugin Name: iThemes Exchange - Product Importer
 * Plugin URI: http://www.visser.com.au/exchange/plugins/product-importer/
 * Description: Import new Products into iThemes Exchange via a simple CSV file.
 * Version: 1.0
 * Author: Visser Labs
 * Author URI: http://www.visser.com.au/about/
 * License: GPL2
 * iThemes Package: exchange-addon-product-importer

 * Installation:
 * 1. Download and unzip the latest release zip file.
 * 2. If you use the WordPress Plugin uploader to install this plugin skip to step 4.
 * 3. Upload the entire plugin directory to your `/wp-content/plugins/` directory.
 * 4. Activate the plugin through the 'Plugins' menu in WordPress Administration.
 *
*/

/**
 * This registers our plugin as a product importer add-on
 *
 * @since 1.0
 *
 * @return void
*/
function it_exchange_product_importer_register_addon() {

	$options = array(
		'name'              => __( 'Product Importer', 'exchange-addon-product-importer' ),
		'description'       => __( 'Adds the ability to import Products into iThemes Exchange via a simple CSV file.', 'exchange-addon-product-importer' ),
		'author'            => 'Visser Labs',
		'author_url'        => 'http://www.visser.com.au/about/',
		'icon'              => ITUtility::get_url_from_file( dirname( __FILE__ ) . '/images/product-importer50px.png' ),
		'file'              => dirname( __FILE__ ) . '/init.php',
		'category'          => 'admin',
		'settings-callback' => 'it_exchange_product_importer_addon_settings_callback',    
	);
	it_exchange_register_addon( 'product-importer', $options );

}
add_action( 'it_exchange_register_addons', 'it_exchange_product_importer_register_addon' );

/**
 * Loads the translation data for WordPress
 *
 * @uses load_plugin_textdomain()
 * @since 1.0
 * @return void
*/
function it_exchange_product_importer_i18n() {

	load_plugin_textdomain( 'exchange-addon-product-importer', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );

}
add_action( 'plugins_loaded', 'it_exchange_product_importer_i18n' );
?>