<div id="content" class="exchange_page_product-importer_options">
	<p><?php _e( 'Using the drop down menu match each column in your CSV to a Product detail, then click Upload file and import.', 'exchange-addon-importer' ); ?></p>
	<form enctype="multipart/form-data" method="post" action="<?php echo add_query_arg( 'action', null ); ?>" class="options">
		<table class="widefat page fixed">
			<thead>
				<tr>
					<th class="manage-column text-align-right"><?php _e( 'First Row', 'exchange-addon-importer' ); ?></th>
					<th class="manage-column column-equals">&nbsp;</th>
					<th class="manage-column"><?php _e( 'CSV', 'exchange-addon-importer' ); ?> -> <?php _e( 'Exchange', 'exchange-addon-importer' ); ?></th>
					<th class="manage-column"><?php _e( 'Second Row', 'exchange-addon-importer' ); ?> <small>(*)</small></th>
				</tr>
			</thead>
			<tbody>
				<tr>
				</tr>
<?php foreach( $first_row as $key => $cell ) { ?>
				<tr>
					<th class="vertical-align-middle text-align-right" valign="top">
						<input type="hidden" name="column[]" value="<?php echo $key+1; ?>" />
						<code><?php echo $cell; ?></code>
					</th>
					<td class="vertical-align-middle text-align-center column-equals"><strong>=</strong></td>
					<td class="vertical-align-middle">
						<select name="value_name[]">
							<option></option>
	<?php foreach( $import->options as $option_key => $option ) { ?>
							<option value="<?php echo $option['name']; ?>"<?php selected( it_exchange_product_importer_search_column( $option, it_exchange_product_importer_format_column( $cell ) ), it_exchange_product_importer_format_column( $cell ) ); ?>><?php echo $option['label']; ?></option>
	<?php } ?>
						</select>
					</td>
					<td class="vertical-align-middle">
						<code><?php echo utf8_encode( $second_row[$key] ); ?></code>
					</td>
				</tr>
<?php } ?>
			</tbody>
		</table>
		<p class="description"><?php _e( '<small>(*)</small> If your CSV contains special characters - such as &aelig;, &szlig;, &eacute;, etc. - they may display weird under the First and Second Row above, please continue regardless.', 'exchange-addon-importer' ); ?></p>

		<div id="poststuff">
			<div class="postbox">
				<h3 class="hndle"><?php _e( 'Import Options', 'exchange-addon-importer' ); ?></h3>
				<div class="inside">
					<table class="form-table">

						<tr>
							<td>
								<label><input type="checkbox" name="skip_first" class="checkbox"<?php checked( $import->skip_first ); ?> /> <?php _e( 'Skip first row', 'exchange-addon-importer' ); ?></label>
							</td>
						</tr>

						<tr>
							<td>
								<label for="import_method"><?php _e( 'Import Method', 'exchange-addon-importer' ); ?></label>
								<div>
									<p><label><input type="radio" name="import_method" value="new"<?php checked( $import->import_method, 'new' ); ?> /><?php _e( 'Import new Products only', 'exchange-addon-importer' ); ?></label></p>
									<p><label><input type="radio" name="import_method" value="delete"<?php checked( $import->import_method, 'delete' ); ?> /><?php _e( 'Delete matching Products', 'exchange-addon-importer' ); ?></label></p>
									<p><label><input type="radio" name="import_method" value="merge" disabled="disabled" /><?php _e( 'Import new Products and merge Product changes', 'exchange-addon-importer' ); ?><span class="description"> - <?php printf( __( 'available in %s', 'woo_ce' ), $woo_pd_link ); ?></span></label></p>
									<p><label><input type="radio" name="import_method" value="update" disabled="disabled" /><?php _e( 'Merge Product changes only', 'exchange-addon-importer' ); ?><span class="description"> - <?php printf( __( 'available in %s', 'woo_ce' ), $woo_pd_link ); ?></span></label></p>
								</div>
								<p class="description"><?php _e( 'Adjust the import method to suit your import needs. Deleted and merged Product changes are matched by the SKU or Product Name where the SKU is not provided.', 'exchange-addon-importer' ); ?></p>
							</td>
						</tr>

						<tr>
							<td>
								<label for="default_product_type"><?php _e( 'Default Product Type', 'exchange-addon-importer' ); ?></label>
								<div>
<?php if ( $product_types ) { ?>
	<?php foreach( $product_types as $key => $product_type ) { ?>
									<p><label><input type="radio" name="default_product_type" value="<?php echo $key; ?>"<?php checked( $import->default_product_type, $key ); ?> /><?php echo $product_type['name']; ?></label></p>
	<?php } ?>
<?php } ?>
									<p class="description"><?php _e( 'This option controls the default Product Type that new Products are assigned to. Override this by providing a Product Type against each Product. Default is Simple Products.', 'exchange-addon-importer' ); ?></p>
								</div>
							</td>
						</tr>

						<tr>
							<td>
								<label><input type="checkbox" name="advanced_log"<?php checked( $import->advanced_log ); ?> />&nbsp;<?php _e( 'Advanced Import Reporting', 'exchange-addon-importer' ); ?></label>
								<p class="description"><?php _e( 'This option will provide a more detailed import log but comes at the expense of a slower import process. Default is off.', 'exchange-addon-importer' ); ?></p>
							</td>
						</tr>

					</table>
					<!-- .form-table -->
				</div>
				<!-- .inside -->
			</div>
			<!-- .postbox -->
		</div>
		<!-- #poststuff -->
		<input type="hidden" name="action" value="save" />
		<input type="hidden" name="delimiter" value="<?php echo $import->delimiter; ?>" />
		<input type="hidden" name="category_separator" value="<?php echo $import->category_separator; ?>" />
		<input type="hidden" name="parent_child_delimiter" value="<?php echo $import->parent_child_delimiter; ?>" />
		<p class="submit">
			<input type="submit" value="<?php _e( 'Upload file and import', 'exchange-addon-importer' ); ?>" class="button-primary" />
		</p>
		<p><?php printf( __( '<strong>Note</strong>: If the following screen goes blank simply hit your browser\'s Refresh (F5) button to continue the import process. If this fails please consult the <a href="%s" target="_blank">Usage page</a> of this Plugin for further assistance.', 'exchange-addon-importer' ), $troubleshooting_url ); ?></p>
	</form>
</div>